data:
  # The data provider which should be used
  provider: UJIndoorLocProvider
  # File name of floor plan img
  floor_plan_img: <test>.jpg
  # (train, val, test) test=0.2 => 5 fold  # The number of temporal epochs into which the dataset is split
  split_ratio: [0.7, 0.1, 0.2]
  building: 0
  floor: 3

#
# are used when not locally set for pipeline
#

global_params:

  # number of experiment repetitions
  repetitions: 10

  preprocessing:
    # Whether to standardize the RSS values
    standardize: True
    # Whether to assign labels with no matching area to closet area
    assign_closest: False
    # The floor number of the Lohan dataset, which should be used
    #floor: 0
    # The epoch number of the split dataset
    #num_epochs: 10
    #epoch: 5
    # How to check for area matches of labels (to label positions with matching areas)
    area_assignment: convex_hull
    grid_size: 40

  floor_plan:
      # 'segmentation' => computes floor plan segmentation,
      #  'regression' => uses DBSCAN to partitions labels into train, test split
      type: floor_classification

  model_params:
    type: GRID_OVERLAP-BBOX_CNN # (DNN, CNN, kNN, SVM) supported (require different parameters)
    #first_neuron: 512
    #hidden_layers: 1
    lr: 0.002
    batch_size: 32
    epochs: 1
    #dropout: 0.7
    #regularization_penalty: 0.0
    augmentation: 0
    autoencoder: train
    #pretrain: yes

pipelines:

  - name: CNNLoc
    model_params:
      lr: 0.002
      type: CNNLoc_REG
      autoencoder: train

  - name: CNNLoc-DLB
    model_params:
      lr: 0.002
      batch_size: 32
      augmentation: 0
      autoencoder: train

      loss:
        grid:
          scale: 100.0
        outside:
          scale: 1.0
          delta: [10.0, 15.0, 20.0]

  - name: DNN
    model_params:
      type: DNN # (DNN, CNN, kNN, SVM) supported (require different parameters)
      pred: regression
      first_neuron: 512
      hidden_layers: [1,2,3]
      lr: 0.7
      batch_size: 32
      #epochs: 200
      dropout: 0.5
      regularization_penalty: 0.0
      augmentation: 0

  - name: DNN-DLB
    model_params:
      type: GRID_OVERLAP-BBOX # (DNN, CNN, kNN, SVM) supported (require different parameters)
      first_neuron: 512
      hidden_layers: [1,2]
      lr: 0.7
      batch_size: 32
      #epochs: 200
      dropout: 0.5
      regularization_penalty: 0.0
      augmentation: 0

      loss:
        grid:
          scale: 100.0
        outside:
          scale: 1.0
          delta: [10.0, 15.0, 20.0]



# base directories for file storage
output:
    model_dir: evaluation/uji/gpu/b0/f3/output/
    summary_dir: evaluation/uji/gpu/b0/f3/summary/
    img_folder: evaluation/uji/ # folder where floorplan images is located (if not present, will be downloaded)
